Steam for Linux

Steam for Linux

The old "version `GLIBC_2.14' not found" problem (Mint Debian)
Hey guys,

Today I booted back to GNU-Linux for the school year after having spent the summer in Windows. I found out that none of my games work, even the ones that I played last semester (which is quite frustrating really). I ran it in terminal and got the "bin/sh: /lib/x86_64-linux-gnu/ version `GLIBC_2.14' not found (required by /home/bill/.local/share/Steam/ubuntu12_64/" message that I'm sure some of you are familiar with.

I did some cursory googling of the issue, but it seems that's there's not really a workaround, except for maybe installing 2.14 in a separate folder; however I don't know how to do that, or what dependencies it might require.

So, does anyone know of a workaround, or barring that, how to install glibc 2.14? (I mean, Ubuntu 12.04 must be running glibc 2.13, because I was playing my games fine in May, well after 12.04 came out... so there really ought to be some sort of solution, right?)


Bunslow the BOULDER
Date Posted: Aug 23, 2013 @ 8:31pm
Posts: 0